###############################################################################
# Copyright (c) 2003 Hyades project.
# All rights reserved. This program and the accompanying materials 
# are made available under the terms of the Common Public License v1.0
# which accompanies this distribution, and is available at
# http://www.eclipse.org/legal/cpl-v10.html
# 
# Contributors:
#     IBM Corporation - initial API and implementation
###############################################################################

# Plugin
PLUGIN_NAME                        = Hyades Java Test
PROVIDER_NAME                      = Eclipse.org
HYADES                             = Hyades


# Types
TST_SUITE_JUNIT_NAME               = JUnit Test Suite Definition
TST_SUITE_JUNIT_DSC                = The JUnit test suite definition is a test suite customized to define and create JUnit tests.
TST_CASE_JUNIT_NAME                = JUnit Test Method
TST_CASE_JUNIT_DSC                 = The JUnit test method is the place where the actions performed by a test is written.


# Wizards
WIZ_JUNIT_TST_CASE_TTL             = New JUnit Test Method
WIZ_NEW_JUNIT_TST_CASE_PG_TTL      = New JUnit Test Method
WIZ_NEW_JUNIT_TST_CASE_DSC         = Creates a new JUnit test method
WIZ_NEW_JUNIT_TST_CASE_PG_ATT_DSC  = Defines the name and description of the test method that will be added to the\n'%1' test suite.

WIZ_JUNIT_TST_SUITE_TTL            = New JUnit Test Suite Definition
WIZ_NEW_JUNIT_TST_SUITE_PG_TTL     = New JUnit Test Suite Definition
WIZ_NEW_JUNIT_TST_SUITE_DSC        = Create a new JUnit test suite definition
WIZ_NEW_JUNIT_TST_SUITE_PG_LOC_DSC = Defines the file resource to store the JUnit test suite definition.
WIZ_NEW_JUNIT_TST_SUITE_PG_ATT_DSC = Defines the name and description of the JUnit test suite definition.


# Editors
EDT_JUNIT_TST_SUITE_TTL            = JUnit Test Suite Definition Editor
EDT_JUNIT_TST_SUITE_DSC            = A customized editor to manipulate JUnit test suite definitions
EDT_JUNIT_TTL                      = JUnit Test Suite Definition
EDT_JUNIT_TST_METHS                = Test Methods
EDT_JUNIT_TST_METHS_DSC            = The following test methods are defined in this test:


# Actions
LBL_TST_METH                       = &Test method
W_TST_METH                         = Test Method
LBL_LOOP                           = &Loop
W_LOOP                             = Loop
LBL_OPTS                           = &Options
W_TST_METHS                        = Test Methods
BTN_IS_SYNC                        = S&ynchronous
LBL_NBR_ITERS                      = N&umber of Iterations
LBL_TST_INV                        = Test &invocation...
W_TST_INV                          = Test Invocation


# Dialogs
DLG_INV_TST_TTL                    = Test Invocation
DLG_LOCAL_TESTS_LBL                = Select one test method defined in this suite.
DLG_ALL_TESTS_LBL                  = Select one test in the workspace.

#Generate action
GEN_WTITLE			               = JUnit Test Definition Code Generation
GEN_WDESC			               = Generates a JUnit skeleton for a test definition.
GEN_LDESC                          = Define the required information to generate the code from the test definition.
TITLE_PROJECT_SELECT               = Project Selection
STR_PROJECT_SELECT                 = Select a Java &project
STR_WB_PROJECT                     = &Java Project:
STR_WB_SRC_FOLDER                  = Source &Folder:
STR_WB_SOURCE_BTN                  = B&rowse...
_ERROR_WIZ_EMPTY_PROJECT           = IWAT4003E Java project name cannot be empty.
_ERROR_WIZ_EMPTY_FOLDER            = IWAT4004E Source folder name cannot be empty.
_ERROR_WIZ_NOT_EXIST_PROJECT       = IWAT4005E Java project does not exist.
_ERROR_INV_FLD_NME                 = IWAT4006E Invalid folder name.
STR_WB_BROWSE_BTN                  = &Browse...
STR_WB_PACK                        = Pac&kage Name:
STR_WB_CLASS                       = Clas&s Name:
STR_WB_PACK_BTN                    = Bro&wse...
STR_WB_CLASS_BTN                   = Br&owse...
TITLE_CLASS_SELECT                 = Class selection
TITLE_PACK_SELECT                  = Package selection
TITLE_SRC_SELECT                   = Source Folder selection
STR_CLASS_SELECT                   = C&hoose a class
STR_PACK_SELECT                    = Select a package.
STR_SRC_SELECT                     = C&hoose a source location
NO_PACK                            = There is no packages in the workspace.
STR_BTN_CREATE                     = &Create...

WIZ_ERR_NOT_EXIST_FOLDER           = Selected location is not a source folder.

#Run wizard
RUN_WTITLE			               = Run
RUN_WDESC			               = Run
_ERROR_CONNECTION_FAIL_TEXT        = IWAT4007E Connection failed on host %1.
TEST_ERR_MSG                       = An error has happened.

SRC_INFO_TTL                       = Source Information
INV_SEL                            = Invalid selection

NO_JAVA_PRJ                        = In order to generate the code for the selected test\nthis wizard requires a Java project.

ADJ_PG_DSC                         = The test's source information is not correct and needs to be adjusted.\nThe package and class attributes must respect the Java language's rules.
_ERROR_INV_CLS_NAME                = IWAT4008E The class name is not valid.
_ERROR_INV_PCK_NAME                = IWAT4009E The package name is not valid.

W_INV                              = Invocation
W_LWR_INV                          = invocation
Q_OVR_FILE                         = This test suite has been previously generated.\nIf you have made manual changes to the existing files they will be lost.\n\nWould you like to continue?